complexType "InstrumentTradePricing"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 element
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | quote*
</...>

Content Model Elements (1):

  quote (defined in InstrumentTradePricing complexType)

Annotation
A structure describing the price paid for the instrument.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="InstrumentTradePricing"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/> </xsd:sequence> <!-- <xsd:choice> <xsd:element name="price" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:sequence> <xsd:element name="cleanPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, exclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="dirtyPrice" type="NetAndGross" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element name="dirtyPrice" type="NetAndGross" > <xsd:annotation> <xsd:documentation xml:lang="en">The amount of money paid per unit of the traded instrument, inclusive of accrued interest.</xsd:documentation> <xsd:appinfo> <view:skip view="reporting"/> <view:skip view="transparency"/> </xsd:appinfo> </xsd:annotation> </xsd:element> </xsd:choice> --> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
quote

  Type: | BasicQuotation, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.